--- dbxread.c.old	2004-07-01 22:25:53.000000000 +0200
+++ dbxread.c	2004-11-05 16:54:57.000000000 +0100
@@ -847,6 +847,7 @@
     bfd_seek (symfile_bfd, sym_offset, SEEK_CUR);
 }
 
+#if 0
 #define INTERNALIZE_SYMBOL(intern, extern, abfd)			\
   {									\
     (intern).n_type = bfd_h_get_8 (abfd, (extern)->e_type);		\
@@ -857,6 +858,15 @@
     else								\
       (intern).n_value = bfd_h_get_32 (abfd, (extern)->e_value);	\
   }
+#else
+#define INTERNALIZE_SYMBOL(intern, extern, abfd)			\
+  {									\
+    (intern).n_type = bfd_h_get_8 (abfd, (extern)->e_type);		\
+    (intern).n_strx = bfd_h_get_32 (abfd, (extern)->e_strx);		\
+    (intern).n_desc = bfd_h_get_16 (abfd, (extern)->e_desc);  		\
+      (intern).n_value = bfd_h_get_signed_32 (abfd, (extern)->e_value);	\
+  }
+#endif
 
 /* Invariant: The symbol pointed to by symbuf_idx is the first one
    that hasn't been swapped.  Swap the symbol at the same time
